OnlyFans API
FanslyVault

Reorder Vault Albums

Move an album from one position to another. Positions are zero-based pos values from the List Vault Albums endpoint, matching the Fansly Dashboard order.

POST
/api/fansly/{fanslyAccount}/vault/albums/reorder
AuthorizationBearer <token>

Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys

In: header

Path Parameters

fanslyAccount*string

The Fansly Account ID

Request Body

application/json

old_pos*integer

Current position of the album.

new_pos*integer

Target position for the album.

Response Body

application/json

curl -X POST "https://app.onlyfansapi.com/api/fansly/fansly_acct_XXXXXXXXXXXXXXX/vault/albums/reorder" \  -H "Content-Type: application/json" \  -d '{    "old_pos": 3,    "new_pos": 8  }'
{
  "data": null,
  "_meta": {
    "_credits": {
      "used": 1,
      "balance": 10055790,
      "note": "Always"
    },
    "_cache": {
      "is_cached": false,
      "note": "Cache disabled for this endpoint"
    },
    "_rate_limits": {
      "limit_minute": 5000,
      "limit_day": null,
      "remaining_minute": 4999,
      "remaining_day": null,
      "notice": "We have decided to remove our daily rate limits. Please remove any references to these in your integrations."
    }
  }
}